package com.danilafe.fencelessgrazing.requests

import com.android.volley.Response
import com.android.volley.toolbox.StringRequest
import com.danilafe.fencelessgrazing.model.CollarSummary
import com.google.gson.reflect.TypeToken

class CollarRequest(
    baseUrl: String,
    private val token : String,
    listener: Response.Listener<List<CollarSummary>>,
    error: Response.ErrorListener
) : StringRequest(
    Method.GET, "${baseUrl}/collars",
    GsonListener(
        object : TypeToken<List<CollarSummary>>() {}.type,
        listener
    ), error
) {

    override fun getHeaders(): MutableMap<String, String> {
        return mutableMapOf("Authorization" to "Bearer $token")
    }

}