package com.danilafe.fencelessgrazing.requests

import com.android.volley.Response
import com.android.volley.toolbox.StringRequest
import com.danilafe.fencelessgrazing.model.LoginResult

class LoginRequest(
    baseUrl: String,
    private val username: String,
    private val password: String,
    listener: Response.Listener<LoginResult>,
    error: Response.ErrorListener
) : StringRequest (
    Method.POST, "${baseUrl}/login",
    GsonListener(LoginResult::class.java, listener), error
) {

    override fun getParams(): MutableMap<String, String> {
        return mutableMapOf("username" to username, "password" to password)
    }

}